import java.net.*;
import java.io.*;

public class BuilderServerThread extends Thread {
    private Socket socket = null;

    public BuilderServerThread(Socket socket) {
	super("BuilderServerThread");
	this.socket = socket;
    }

    public void run() {

	try {
	    BufferedReader in = new BufferedReader(
				    new InputStreamReader(
				    socket.getInputStream()));

	    String inputLine;
		inputLine = in.readLine();

	    File f = new File("savedFiles/" + inputLine);
	    PrintWriter outStream = new PrintWriter(new FileOutputStream(f),true);

	    while ((inputLine = in.readLine()) != null) {
			outStream.println(inputLine);
		}
	    outStream.close();
	    in.close();
	    socket.close();

	} catch (IOException e) {
	    e.printStackTrace();
	}
    }
}
