package builder;
import java.awt.event.*;
import java.awt.*;

/** This is the action listener for the menus in Builder
  * @see Builder
  * @author Dennis Seay
  * @version 1.1 07/97
*/


public class BuilderActionListener implements ActionListener 
{
  Builder parent = null;

/** 
  * @param p is the parent that the action is to performed on.
*/
  public BuilderActionListener(Builder p)
  {
    parent = p;
  }
 
/** This function can create a new project, call the close function or save the project.
  * @param e is the event that occured.
*/ 
  public void actionPerformed(ActionEvent e)
  {
    if (e.getActionCommand() == "New Project")
    {
      Builder f = null;
      f.main(null);
      //Frame f;
      //f = new Builder();
    }else if(e.getActionCommand() == "Quit")
    {
      parent.quitWindowHelper();
    }else if(e.getActionCommand() == "Save Project")
    {
      parent.saveBuilder("duh.sav");
    }
  }
}
