package builder;

import java.awt.*;




/**	Icon in the ToolBar for Creating a Button.
	* @author Arturo Falck.
	* @version 1.0 03/21/97
*/
public class ButtonToolIcon extends ToolIcon {



// ********************* CONSTRUCTORS


/**	Main Constructor.
	* Creates a button icon on the flow control
*/
	public ButtonToolIcon (){
		super("Button");
	}


/**	Constructor.
*/
	public ButtonToolIcon (ToolBarActionListener al){
		super("Button",al);
	}

// ********************* METHODS


/**	paint
	Defines the graphical representation of this Icon.
	* @param g the graphics context.
*/
	public void paint(Graphics g){
		// this is where the cool picture will go.
	}



// ********************* FIELDS


}
