package builder;
import java.awt.event.*;
import java.awt.*;

/**     This class catches action from moveavle components
        * @author Dennis Seay
        * @version 1.1 07/97
*/


public class MoveableActionListener implements ActionListener
{
  Moveable parent = null;

/** Constructor
  * creates an actionListener
  * @param p is the objected that created the listener.
*/

  public MoveableActionListener(Moveable p)
  {
    parent = p;
  }
 

/** actionPerformed
  * The default action for a movable oject is do nothing. This is
  * provide for subclasses to override.
*/ 
  public void actionPerformed(ActionEvent e)
  {
  }
}
