package builder;
import java.awt.event.*;
import java.awt.*;

/**     This class allows a node to change the default actions.
        * @author Dennis Seay
        * @version 1.1 07/97
*/


public class NodeActionListener implements ActionListener
{
  Moveable parent = null;

/** Constructor
  * creates a action listener
  * @param p is the objected that created the listener.
*/

  public NodeActionListener(Moveable p)
  {
    parent = p;
  }
 
/** actionPerformed
  * This function calls its parent to handle the action
  * @param e is the action event
*/ 
  public void actionPerformed(ActionEvent e)
  {
    ((Node)parent).nodeAction(e.getActionCommand());
  }
}
