package builder;
import java.awt.*;
import java.awt.event.*;

/**     This class captures the slider events.
        * @author Dennis Seay
        * @version 1.1 07/97
*/

public class NodeAdjustmentListener implements AdjustmentListener
{
  Node parent = null;

/** Constructor
  * creates a NodeAdjustmenetListener
  * @param p is the objected that created the listener.
*/

  public NodeAdjustmentListener(Node p)
  {
    parent = p;
  }

/** adjustmentValueChanged
  * This function sends the scrollbar value to the node
  * @param p is the objected that created the listener.
*/

  public void adjustmentValueChanged(AdjustmentEvent e)
  {
    System.out.println("Scroll value: " + e.getValue());
    ((Node)parent).nodeAction(String.valueOf(e.getValue()));
  }
}
