package builder;

import java.awt.*;
import java.io.File;
import java.io.*;

public class PM implements Serializable
{

    Map			M        = null;
    Map			F        = null;
    ToolBar 	toolBar  = null;
    static WorkSpace  ws = null;
    FormSpace	fs		 = null;

  public PM()
  {      
  newProject();
  }

  public PM(String loadFile){

      loadProj(loadFile);
      toolBar.actionHelper("Mode");
      ws.setVisible(false);

  }

  public void quitBuilder()
  {
    if(ws!=null)
    {
      ws.setVisible(false);
      ws.dispose();
      ws = null;
    }
    if(fs!=null)
    {
      fs.setVisible(false);
      fs.dispose();
      fs = null;
    }
    System.exit(0);
  }

  public void newProject()
  {
    if(ws!=null)
    {
      ws.setVisible(false);
      ws = null;
    }
    if(fs!=null)
    {
      fs.setVisible(false);
      fs = null;
    }

    M = new Map();
    F = new Map();
    toolBar = new ToolBar(M,F);
    ws = new WorkSpace(M,toolBar);
    fs = new FormSpace(F);
    ws.parent = this;
  }

  public void loadProj(String fName)
  {
	    newProject();
      LoadNodes n = new LoadNodes(M,F,fName,fs,ws);
      n.loadNode();
      n.loadWire();
      n.loadLocation();
      n.closeLoadFile();
  }


 /* public void loadProj(String tempName)
  {
        File f = new File(tempName);

        newProject();
        if(f.exists() && f.isFile())
        {
          ws.setVisible(false);
          LoadNodes n = new LoadNodes(M,F,tempName,fs,ws);
          n.loadNode();
          n.loadWire();
          n.loadLocation();
          toolBar.actionHelper("Mode");
          n.closeLoadFile();

        }

  }*/


/*  public void loadProj()
  {
    FileDialog selectorFileDialog = new FileDialog(ws,"Load Project...");
    selectorFileDialog.setFile("*.sav");

    if(selectorFileDialog!=null)
    {
      selectorFileDialog.show();
      if(selectorFileDialog.getFile()!=null)
      {
        newProject();
        String tempName = selectorFileDialog.getDirectory() +
                          selectorFileDialog.getFile();
        LoadNodes n = new LoadNodes(M,F,tempName,fs,ws);
        n.loadNode();
        n.loadWire();
        n.loadLocation();
        n.closeLoadFile();
      }
    }
  }
*/


/*    if(args.length == 1)
    {
      loadFile = "http://www.sv.vt.edu/~randy/savedFiles/hello";//args[0];
    }

 //   PM pm = new PM();
*/
}

  
